/* CSS Document */

html,
body {
	width: 100%;
	height: 100%;
	margin: 0;
	font-family: 'Montserrat', Helvetica, sans-serif;
	font-weight: 400;
	font-size: 100%;
}

body {
	height: auto;
	min-height: 100%;
	border: 15px solid #3b3b3b;
	box-sizing: border-box;
	background-image: url(../images/wm-sketch.svg);
	background-size: 60% auto;
	background-position: 120% 50%;
	background-repeat: no-repeat;
  background-attachment: fixed;
}

h1 {
	font-size: 4rem;
	font-weight: 100;
	line-height: 1.05em;
	margin-bottom: 1.5em;
	padding-right: 45%;
}

h2 {
	font-size: 1rem;
	font-weight: 700;
	text-transform: uppercase;
	letter-spacing: 0.1rem;
	margin-bottom: 0.5rem;
}

p {
	font-size: 1rem;
	line-height: 1.75rem;
	margin-top: 0.25rem;
}

p + p {
  margin-top: 0;
}

h2 + h2,
p + h2 {
  margin-top: 2.5rem;
}

h2,
p {
	color: #5E5E5E;
	padding-right: 60%;
}

.button {
  padding: 0;
}

a {
  color: white;
  text-decoration: none;
  padding: 10px 15px;
  background-color: #A2B71C;
  box-shadow: 0 0 15px rgba(0,0,0,0.15);
  box-sizing: border-box;
  display: inline-block;
}

.home {
	position: relative;
	width: 100%;
	min-height: calc(100vh - 30px);
	display: flex;
	justify-content: center;
	align-items: center;
}

.container {
	position: relative;
	width: 70%;
	height: 70%;
	box-sizing: border-box;
}

.logo {
  position: absolute;
  top: 0; right: 5%;
  box-shadow: 0 0 20px rgba(0,0,0,0.1);
  width: 250px;
  height: 175px;
  background-color: white;
  background-image: url(../images/wm-logo.svg);
  background-repeat: no-repeat;
  background-size: 110% auto; 
  background-position: center 30%;
}

@media screen and (max-width: 1200px) {
	h1 {
    padding-right: 0;
  }
  
  .logo {
    width: 125px;
    height: 100px;
    right: 10%;
    background-position: center 20%;
  }
  
  h2,
  p {
    padding-right: 25%;
  }

  body {
    background-image: url(../images/schirmstaender.svg);
    background-size: 20% auto;
    background-position: 90% 105%;
  }
}

@media screen and (max-width: 700px) {
  body {
    border-width: 10px;
  }
  
  h1 {
    font-size: 3rem;
  }
  
  .container {
    margin-top: 75px;
    width: 85%;
  }
  
  a {
    width: 100%;
  }
  
  body {
    background-size: 40% auto;
    background-position: 120% 105%;
  }
}